 {% load static %}
<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>Rezervace lístků</title>
    <link href="https://fonts.googleapis.com/css?family=Courgette%7CMontserrat" rel="stylesheet">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.2/css/bootstrap.min.css" integrity="sha384-PsH8R72JQ3SOdhVi3uxftmaW6Vc51MKb0q5P2rRUpPvrszuE4W1povHYgTpBfshb" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static "frontend/assets/font-awesome.css"%}">
    <link rel="stylesheet" href="{% static "frontend/main.css" %}">
    <meta name="viewport" content="width=device-width, initial-scale=1">
  </head>
<!-- Modal -->
  <body style="background-image: url({% static "frontend/assets/background.png" %})">
  <form action="{% url 'create_reservation' %}" method="post" id="reservation-form">
    <div class="modal fade" id="shopping" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Dokončení rezervace</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
              {% csrf_token %}
              <div class="form-group">
                <label for="inputName">Jméno</label>
                <input type="text" class="form-control" name="name" id="inputName"  placeholder="Zadejte prosím své jméno">
              </div>
	      {% if user.is_authenticated %}
	      <div class="alert alert-info">
		Není nutné získávat údaje, když jsi přihlášený, ošéfuj si to (a nebo uprav v administraci).
	      </div>
	      {% endif %}
              <div class="form-group">
                <label for="inputEmail">E-mailová adresa</label>
                <input type="email" class="form-control" name="email" id="inputEmail"  placeholder="Zadejte svůj email">
              </div>
              <div class="form-group">
                <label for="inputPhone">Telefon</label>
                <input type="tel" class="form-control" name="phone" id="inputPhone" placeholder="Zadejte prosím své telefonní číslo">
              </div>
              <div class="form-group">
                <label for="inputBarSeats">Lístky na bar</label>
                <input type="number" onkeyup="updatePrice()" onkeypress='return [46, 8, 9, 27, 13, 110, 190].includes(event.keyCode) || (event.keyCode >= 35 && event.keyCode <= 39) || (event.charCode >= 48 && event.charCode <= 57)' min="0" max="100" class="form-control" name="bar_seats" id="inputBarSeats" placeholder="Lístky na bar" value=0>
              </div>
	      <div class="alert alert-warning">
		Lístky bez přiřazeného místa k sezení
	      </div>  
              <i class="fa fa-ticket"></i> (<span id="price"></span> Kč) × <span id="tickets_number_shopping">0</span> = <span class="text-success"><span id="full_price">10000</span> Kč</span>
              <div id="places">
              </div>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Zavřít</button>
            <button type="submit" class="btn btn-success">Rezervovat lístky</button>
          </div>
        </div>
      </div>
    </div>
  </form>
    <div class="container">
      <header>
          <img class="logo" src="{% static "frontend/assets/logo-simple.png" %}" alt="Logo plesu">
          <div class="text">
            <h1 class="title"><strong>Farní</strong> ples 2020</h1>
            <h2 class="subtitle">Tancujte a veselte se v Pánu</h2>
          </div>
      </header>
        <div class="alert alert-success alert-dismissible fade" id="shopping_done" role="alert">
          <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
	  </button><br>
          <h4 class="alert-heading">Super rezervace je hotová!</h4>
          <strong>Vyčkejte, prosím, na kontakt!</strong> Naši pracovníci rezervaci zpracují a budou Vás kontaktovat. Pokud by jste měli nějaké požadavky,
          <a href="mailto:farniplesmb@gmail.com">pište</a>
        </div>
        <div class="row">
          <div class="col-sm-6 mb-2">
              <div class="card bg-farni text-white">
                <div class="card-body">
                  <h2 class="card-title-icon">
                    Konání akce
                  </h2>
                  <div class="card-text">
                    <p>
			<i class="fa fa-clock-o fa-fw" ></i> {{ ples_begin }}</br>
			<i class="fa fa-envelope fa-fw"></i> <b>Sál taneční školy Zita</b>, náměstí Míru  26, Mladá Boleslav
                    </p>
                  </div>
                </div>
              </div>
            </div>
          <div class="col-sm-6 mb-2">
              <div class="card">
                <div class="card-body">
                  <h2 class="card-title-icon">
			Nová kapela!
                  </h2>
                  <div class="card-text">
                    <p>
			Tento ročník dojde k obměně kapely, dobrou hudbu k tanci, či k poslechu bude hrát skupina "Triwoly". 
                    </p>
                  </div>
                </div>
              </div>
            </div>
          </div>
      {% if now < tickets_begin %}
        <div class="row">
          <div class="col-sm-12">
              <div class="card">
                <div class="card-body">
                  <h2 class="card-title-icon text-danger">
                    Ještě ne.
                  </h2>
                  <div class="card-text text-center">
                    <p>
                      Rezervace ještě není spuštěna, vraťte se prosím {{ tickets_begin }}. Budeme se těšit :-) 
                    </p>
                  </div>
                </div>
              </div>
            </div>
          </div>
       {% else %}
      <div class="scrolling">
        <div id="playground">
        </div>
      </div>
      <div class="row">
	<div class="col-sm-12">
	<div class="card bg-farni text-white">
	  <div class="card-body">
	  <div class="card-text">
		<h2>Podpořte nás</h2> 
		<p>Pokud nás chcete podpořit, šiřte náš ples mezi rodinu, přátele i všechny známé. Určitě uvítáme sponzoring a nabídneme na oplátku propagaci vaší firmy, značky, ...  Máte-li zájem ozvěte se na <a class="text-white text-strong" href="farniplesmb@gmail.com">farniplesmb@gmail.com</a></p>
	  </div>
	  </div>
        </div>
	</div>
      </div> 
    </div>
    <div class="bg-light py-2 mb-0">
      <div class="container mt-5">
        {% if user.is_authenticated %}
        <h2><a href="{% url 'reservation_list' %}">Přehled rezervací</a></h2>
        <div class="footer row" id="reservation_master">
          <!-- That's where reservation are deployed-->
        </div>
        {% else %}
          <div class="footer row">
            <div class="col-sm-6">
              <h4>Kontakty</h4>
              <p>V případě nejasností se nebojte nás kontaktovat. <a href="mailo:farniple@gmail.com">farniplesmb@gmail.com</a></p>
            </div>
            <div class="col-sm-6">
              <h4>Credits</h4>
              <p>S láskou k farním plesům vytvořil <a href="mailto:ondrej.kolin@gmail.com">Ondřej Kolín</a></p>
            </div>
          </div>
        {% endif %}
        </div>
      </div>
    </div>
    <div class="bg-light spacer">

    </div>
    <footer>
        <div class="cart">
	  {% if user.is_authenticated %}
          <div class="float-left">
		  <i class="fa fa-user"></i>  {{ user.username }}
          </div>
	  {% endif %}
          <div class="float-right">
             <i class="fa fa-ticket"></i> Vybráno lístků: <span id="tickets_number">0</span>
	     <a href="{% url 'help' %}" class="btn btn-primary float-right ml-1"><i class="fa fa-fw fa-question-circle-o"></i></a>
             <button  id="shopping_button" class="ml-2 btn btn-success float-right">Rezervovat <i class="fa fa-shopping-cart"></i></button>
           </div>
      </div>
    </footer>
    {% endif %}
	<script>
	  {% if user.is_authenticated %}
		var admin = true;
	  {% else %}
	  var admin = false;
	  {% endif %}
	</script>
    <script src="{% static "frontend/color-hash.js" %}"></script>
    <script src="{% static "frontend/p5.js" %}"></script>
    {% if now >= tickets_begin %}
    <script src="{% static "frontend/reservoir.js" %}"></script>
    {% endif %}
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.3/umd/popper.min.js" integrity="sha384-vFJXuSJphROIrBnz7yo7oB41mKfc8JzQZiCq4NCceLEaO4IHwicKwpJf9c9IpFgh" crossorigin="anonymous"></script>
    <script src="https://code.jquery.com/jquery-3.2.1.min.js" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.2/js/bootstrap.min.js" integrity="sha384-alpBpkh1PFOepccYVYDB4do5UnbKysX5WZXm3XxPqe5iKTfUKjNkCk9SaVuEZflJ" crossorigin="anonymous"></script>
    <script src="{% static "frontend/main.js" %}"></script>
  </body>
</html>
